/*################ RESET CSS ################*/
html {
    box-sizing: border-box;
    font-size: 16px;
}

html,
body {
    height: 100%;
    font-family: "Calibri Light";
}

*,
*:before,
*:after {
    box-sizing: inherit;

}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ol,
ul {
    margin: 0;
    padding: 0;
    font-weight: normal;
}

ol,
ul {
    list-style: none;
}

img {
    max-width: 100%;
    height: auto;
}

a {
    text-decoration: none;
}

a:visited {
    text-decoration: none;
    color: #000;
}

a:hover {
    text-decoration: none;
    color: #000;
}

a:focus {
    text-decoration: none;
    color: #000;
}

a:hover,
a:active {
    text-decoration: none;
    color: black
}

.hidden {
    display: none;
}

.box {
    position: relative;
    cursor: pointer;
    display: flex;
    align-items: center;
}

.box:hover .popup {
    display: block;
}

.popup {
    position: fixed;
    display: none;
    padding: 5px;
    background-color: #FFF;
    border-radius: 10px;
    text-align: center;
    border: 2px solid #ababab;
    box-shadow: 5px 10px 10px #ababab;
    z-index: 1;
    max-width: 250px;
    width: max-content;
}

.label_comment {
    font-size: small;
    font-style: italic;
}

/*############################################*/

/*################# HEADER ###################*/
header {
    display: flex;
    flex-direction: column;
    gap: 4px;
    background-color: #C3CAC1;
    color: #767676;
}

.header-content {
    display: flex;
    justify-content: space-between;
}

.header-logo {
    position: absolute;
    left: 16px;
    top: 0;
    width: 100px;
    height: 75px;
}

.header-title {
    position: absolute;
    left: 250px;
    top: 10px;
    width: 300px;
    height: 65px;
}

.header-icons {
    display: flex;
    align-items: center;
    gap: 20px;
    padding-right: 20px;
}

.box-shortcuts {
    width: 58px;
}

.box-pdf {
    width: 48px;
    height: 40px;
}

.box-pdf:hover img {
    content: url('../images/PDFa.png');
}

.box-legend {
    width: 38px;
}

.header-submenu {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    height: 35px;
}

.header-submenu>* {
    border-radius: 12px 12px 0 0;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.select-object {
    position: relative;
    background-color: #b6b7b2;
    color: #FFF;
    text-shadow: 5px 5px 5px #646464;
    width: 300px;
}

.select-object:visited {
    color: #FFF;
}

.select-object:hover {
    background-color: #838581;
}

/* Cha avril 2022 ajout du bouton login + modification bouton about */
.login {
    background-color: #e0e0e0;
    margin-left: auto;
    padding: 5px;
}

.login::before {
    color: rgb(205, 138, 29);
    padding-right: 4px;
}

#login_button::before {
    content: ">"
}

#logout_button::before {
    content: "X"
}

.about-project {
    background-color: #e0e0e0;
    width: 75px;
    padding-top: 7px;
    padding-right: 7px;
}

/*################# CONTENT #################*/
body {
    display: flex;
    flex-direction: column;
}

.content {
    position: relative;
    flex: 1;
    background-color: #f0f0f0;
    overflow: auto;
}

.about-text {
    font-size: large;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 4%;
}

.text-para {
    width: 80%;
    margin: auto;
}

.text-para>span {
    color: red;
    font-weight: bold;
}

.text-para>span>a {
    color: red;
}

.legal-text {
    width: 40%;
    margin: auto;
    padding-top: 2%;
    padding-bottom: 2%;
}

.legal-text .separator {
    width: 80%;
    height: 1px;
    background-color: #000000;
    margin: 50px 0 50px 0;
}

/*################# FOOTER ##################*/
footer {
    z-index: 2;
    background-color: #f0f0f0;
    order: 1;
    display: flex;
    flex-direction: column;
}

footer::before {
    content: "";
    width: 100%;
    height: 5px;
    background-color: #D8AB9A;
}

.text-footer {
    color: #7f7f7f;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    padding: 5px 0;
    background-color: rgb(240, 240, 240);
}

.text-footer a {
    color: #7f7f7f;
}

.text-footer>img {
    width: 2%;

}

.rect-hist {
    height: 30px;
    background-color: #DDDDDB;
    display: flex;
    align-items: center;
    font-weight: bold;
    font-size: large;
    font-style: italic;
    color: #595959;
    padding-left: 310px;
}

/*###########################################*/

/*#############OVERLAY REFERENCES Cha mai 2022 #############*/

.close_refs {
    position: absolute;
    top: 1px;
    right: 15px;
}

.close_refs>button {
    color: #7f7f7f;
    font-weight: bold;
    font-size: x-large;
    border: none;
    background-color: rgba(0, 0, 0, 0);
}


/*###############  FIN ######################*/

/*############## Object Select ##############*/
.sort-content {
    text-align: center;
}

.sort-content>div {
    width: 100%;
    display: flex;
    justify-content: space-around;
    margin-top: 5px;
}

.sort-content>div>div {
    width: 35px;
}

.sort-content img.selected {
    width: 90%;
    padding-top: 3px;
}

.content-select select {
    width: 100%;
    border: solid #d9d9d9 2px;
    border-radius: 5px;
    background-color: #f0f0f0;
    height: 110px;
}

.content-select option {
    margin-left: 20px;
    font-style: italic;
    color: #595959;
    font-family: "Calibri Light";
}

.content-select option:checked {
    color: #595959;
    font-weight: bold;
}

.content-select>div {
    margin-top: 20px;
    margin-bottom: 20px;
}

label>input[type=radio]+img {
    cursor: pointer;
    border: 2px solid transparent;
}

.sort-icon {
    position: absolute;
    width: 25px;
    left: 50px;
    top: 6px;
}

.all_objectContent {
    display: flex;
    flex-direction: column;
    background-color: #FFF;
    position: absolute;
    top: 129px;
    left: 0;
    height: calc(100% - 129px);
    width: 300px;
    z-index: 3;
    gap: 10px;
    padding-bottom: 20px;

    .all_object {
        display: flex;
        flex-direction: column;
        overflow-x: hidden;
        overflow-y: scroll;

        label {
            position: relative;
            cursor: pointer;
            list-style: none;
            color: #595959;
            padding: 5px 5px 5px 10px;
            font-size: 14px;

            input[type=radio] {
                display: none;
            }

            img {
                max-width: 300px;
                position: fixed;
                display: none;
                left: 300px;
                top: 0;
            }

            &:hover {
                text-shadow: 2px 3px 5px grey;

                img {
                    display: block
                }
            }

            &:has(:checked),
            &:hover {
                color: #000;
                background-color: #f2f2f2;
                font-weight: bold;
            }
        }
    }
}

#svgBackground {
    padding-top: 10px;
    user-select: none;
}

.lineYear,
.fullLineYear {
    stroke: rgb(176, 176, 176);
    stroke-width: 1;
}

.lineYear100 {
    stroke: rgb(127, 127, 127);
    stroke-width: 2;
}

.fullLineYear100 {
    stroke: rgb(176, 176, 176);
    stroke-width: 2;
}

.fullLineYear50 {
    stroke: rgb(255, 255, 255);
    stroke-width: 1;
}

.textYear {
    fill: #7F7F7F;
}